textPath is not supported by rsvg
OpenPublic

Description

Author: arunganesh03

Description:
Text on path seems to be misaligned while rasterising svg images. compare the
river names in the png http://upload.wikimedia.org/wikipedia/commons/thumb/a/ab/
India_southwest_summer_monsoon_onset_map_en.svg/1024px-
India_southwest_summer_monsoon_onset_map_en.svg.png and the svg file http://
en.wikipedia.org/wiki/Image:India_southwest_summer_monsoon_onset_map_en.svg

The text does not curve but is aligned in the same direction. This can be fixed
by breaking the text to individual letters or by converting to outlines, but this
breaks the editability of the file.


Version: unspecified
Severity: normal
URL: http://upload.wikimedia.org/wikipedia/commons/thumb/a/ab/India_southwest_summer_monsoon_onset_map_en.svg/1024px-India_southwest_summer_monsoon_onset_map_en.svg.png
See Also:
https://bugzilla.gnome.org/show_bug.cgi?id=167708

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz9420.
bzimport created this task.Via LegacyMar 26 2007, 2:02 PM
tstarling added a comment.Via ConduitOct 14 2008, 5:31 AM

Seems to be the same in librsvg 2.22. A clearer test case and an upstream bug report would be nice.

brion added a comment.Via ConduitAug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

ArielGlenn added a comment.Via ConduitSep 18 2011, 9:21 AM

giving SVG bugs back to the pool.

yuvipanda added a comment.Via ConduitDec 4 2011, 7:19 PM

Does this bug still exist? Did an upstream librsvg upgrade fix it?

brion added a comment.Via ConduitDec 4 2011, 7:47 PM

Appears to have been resolved. Current rendering of the original version of the file:

https://upload.wikimedia.org/wikipedia/commons/thumb/archive/5/59/20070326134808!India_southwest_summer_monsoon_onset_map_en.svg/1024px-India_southwest_summer_monsoon_onset_map_en.svg.png

vs rendering in-browser:

https://upload.wikimedia.org/wikipedia/commons/archive/5/59/20070326134808!India_southwest_summer_monsoon_onset_map_en.svg

Text rendering in the png is not quite as nice as I see in Firefox or Chrome, but follows the path reasonably well.

Perhelion added a comment.Via WebDec 31 2014, 2:51 AM

Partial patch upstream as:
https://bugzilla.gnome.org/show_bug.cgi?id=725558

But they seems not really willing to take this.

Aklapper added a comment.Via WebDec 31 2014, 10:51 AM

Partial patch upstream as:
https://bugzilla.gnome.org/show_bug.cgi?id=725558

But they seems not really willing to take this.

The upstream comment says that someone first needs to rework the patch before it could get another review.
Plus "they" is one rather inactive person. See T40010#801524.

TheDJ moved this task to Patch submitted Upstream on the Upstream workboard.Via WebWed, Mar 4, 9:11 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.